%button--base {
	padding: 5px 0;
	border-radius: 0px;
	transition: all 0.3s;
	height: 45px;
	width: 220px;
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;

	&:hover {
		box-shadow: $shadow--default;
	}
}

.button--transparent {
	@extend %button--base;
	background-color: transparent;
	border: 1px solid $color--dark-gray;
}

.button--transparent-primary-border {
	@extend %button--base;
	background-color: transparent;
	border: 1px solid $color--primary;
	color: $color--primary;
}

.button--dark {
	@extend %button--base;
	background-color: $color--dark-gray;
	color: white;
}
.button--primary {
	@extend %button--base;
	background-color: $color--primary;
	color: white;
}
.icon {
	margin-top: 0.3rem;
}
